Skip to main content
PUT
/
commerce
/
customer
/
b2baccounts
/
upgradeaccounts
Error
A valid request URL is required to generate request examples
{
  "errorAccountIds": [
    {
      "accountID": 123,
      "errorMessage": "<string>"
    }
  ],
  "skippedAccountIds": [
    123
  ],
  "successAccountIds": [
    123
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json

List of accountIds(integers)

Response

Success

This class is used for sending custom response while upgrading the B2C accounts to B2B. The custom response returns a list of success, skipped and error accountIDs while upgrade.

errorAccountIds
object[] | null
skippedAccountIds
integer<int32>[] | null
successAccountIds
integer<int32>[] | null